JaxbSqlDeleteElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbSqlDeleteElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbSqlDeleteElement

All Implemented Interfaces:
  CustomSqlElement

    public class JaxbSqlDeleteElement

extends Object
implements CustomSqlElement

Java class for sql-delete-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="sql-delete-element">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute name="callable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="check" type="{http://www.hibernate.org/xsd/hibernate-mapping}check-attribute" />
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected Boolean` | `callable`
`protected JaxbCheckAttribute` | `check`
`protected String` | `value`

Constructor Summary
`JaxbSqlDeleteElement()`

Method Summary
`JaxbCheckAttribute` | `getCheck()` Gets the value of the check property.
`String` | `getValue()` Gets the value of the value property.
`boolean` | `isCallable()` Gets the value of the callable property.
`void` | `setCallable(Boolean value)` Sets the value of the callable property.
`void` | `setCheck(JaxbCheckAttribute value)` Sets the value of the check property.
`void` | `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected String value

### callable

    protected Boolean callable

### check

    protected JaxbCheckAttribute check

Constructor Detail

### JaxbSqlDeleteElement

    public JaxbSqlDeleteElement()

Method Detail

### getValue

    public String getValue()

  Gets the value of the value property.

  Specified by:
    `getValue` in interface `CustomSqlElement`
  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### isCallable

    public boolean isCallable()

  Gets the value of the callable property.

  Specified by:
    `isCallable` in interface `CustomSqlElement`
  Returns:
    possible object is `Boolean`

### setCallable

    public void setCallable(Boolean value)

  Sets the value of the callable property.

  Parameters:
    `value` - allowed object is `Boolean`

### getCheck

    public JaxbCheckAttribute getCheck()

  Gets the value of the check property.

  Specified by:
    `getCheck` in interface `CustomSqlElement`
  Returns:
    possible object is `JaxbCheckAttribute`

### setCheck

    public void setCheck(JaxbCheckAttribute value)

  Sets the value of the check property.

  Parameters:
    `value` - allowed object is `JaxbCheckAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.